/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

// CameraTarget.cpp: MGCameraTargetTool クラスのインプリメンテーション

#include "stdafx.h"
#include "fugenView.h"
#include "ViewCmd/CameraTarget.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

// MGCameraAndTargetTool

MGCameraAndTargetTool::MGCameraAndTargetTool(fugenView* pView)
: MGLocateState(pView->GetDocument(),ID_VIEW_CAMERA_TARGET,NO_RUBBER,POINT_IPDRAW){
}

bool MGCameraAndTargetTool::initiate_tool(){
	MGLocateState::initiate_tool();

	// 最初のメッセージ
	SetStatusMessage(IDS_PROMPT_TARGET);
	return false;
}

bool MGCameraAndTargetTool::OnLocated(const MGLocateInfo& info){
	ASSERT(!locates().empty());
	const MGLocateInfo& linfo=*(locates().back());
	const MGPosition& target = linfo.point_world();
	fugenView* view = linfo.window();
	view->set_center(target);
	return OnCommandEnd(1); // コマンド終了
}
